VMTKSURFACECONNECTIVITY(1)

NAME
vmtksurfaceconnectivity - vmtk script vmtksurfaceconnectivity

DESCRIPTION
Automatic piping vmtksurfaceconnectivity Parsing options vmtksurfaceconnectivity

vmtksurfaceconnectivity : extract the largest connected region, the

    closest point-connected region, the scalar-connected region from a surface, or all connected regions of a surface tagged with an id

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-method Method (str,1) in ['largest', 'closest', 'all'];

    default=largest: connectivity method

-closestpoint ClosestPoint (float,3); default=None: coordinates of

    the closest point

-r ReferenceSurface (vtkPolyData,1): the reference surface, whose

    barycenter will be used as closest point for the connectivity filter

-rfile ReferenceSurfaceInputFileName (str,1): filename for the

    default ReferenceSurface reader

-cleanoutput CleanOutput (bool,1); default=0: clean the unused

    points in the output

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds: name of

    the array containing the connectivity scalar

-groupid GroupId (int,1); default=-1: value of the connectivity

    scalar

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface